/* CSS Document */
:root{
    --grid-gap: 1rem;
}

html, body	{
    height:100%;
}

html    {
    font-size: 62.5%;
}

body, div, dl, dt, dd, ul, ol, li, h1, h2, h3, h4, h5, h6, pre, code, form, fieldset, legend, input, textarea, blockquote, th, td
    {
	margin: 0;
	padding: 0;
}


.entry-content a:link   { color: #4f5ffb; text-decoration: none;}
.entry-content a:visited    { color: #4f5ffb; text-decoration: none;}
.entry-content a:active 	{ color: #4f5ffb; text-decoration: none;}
.entry-content a:hover  { color: #4f5ffb; text-decoration: underline;}

a   {
    outline: 0;
}

strong, b	{
    font-weight: bold;
}

/* Images */

img[class*="align"],
img[class*="wp-image-"] {
    height: auto; /* Make sure images with WordPress-added height and width attributes are scaled correctly */
}

img     {
    height: auto;
    max-width: 100%;
    border: 0;
    display: block;
}

.flex   {
    display: flex;
}

.flex-wrap  {
    flex-wrap: wrap;
}

.flex-between   {
    justify-content: space-between;
}

.flex-around    {
    justify-content: space-around;
}

.width-1080 {
    max-width: 1080px;
    line-height: 1.5;
    font-size: 2rem;
}

.outer-block    {
    max-width: 1820px;
    margin: 0 auto;
    padding-left: 3vw;
    padding-right: 3vw;
    position: relative;
}

.cols-4 article {
    margin-bottom: 30px;
}

.link-btn   {
    position: absolute;
    bottom: -17px;
    background:#fff;
    padding: 10px 20px;
    border-radius: 4px;
    box-shadow: 0px 2px 4px 1px rgba(0,0,0,.5);
}

.btn-more   {
    background: #39578b;
      border-radius: 20px;
    max-width: 136px;
    margin: 20px auto;
}

    .btn-more a {
        padding: 12px 20px 10px;
        display: block;
    }

/* FRONT-PAGE */
.front-btn  {
    right: 11px;
    margin-left: 11px;
}

.topimg-block   {
    min-height: 400px;
    width: 100%;
}

.bluegrey-block {
    position: relative;
}

    .bluegrey-block .skew-left-top  {
        position: absolute;
        top: 1px;
        left: 0;
        z-index: -1;
    }

    .bluegrey-wrap  {
        padding: 25px 20px;
    }

.interior-block {
    position: relative;
}

    .interior-txt-wrap  {
        background: #39578B;
    }

        .interior-txt   {
            align-self: center;
            box-sizing: border-box;
            flex: 0 100%;
        }

    .home .ref-block    {
        margin: 70px 0 50px;
    }

    body:not(.home) .ref-block  {
        margin: 40px 0 50px;
    }

    .footer-block   {
        margin: 20px 0;
        padding: 20px;
        background: url('../img/sail-ramming.png') #39578B no-repeat right 20px top 0px;
    }

        .footer-contact .contact    {
            margin-bottom: 20px;
        }

        .footer-block ul    {
            list-style: none;
            margin-top: 30px;
        }

        .footer-block li    {
            margin-right: 8px;
        }

/* SUB-PAGE */

.notopimg   {
    padding-top: 40px;
    border-top: 1px solid #dbdbdb;
    margin-top: 20px;
}

.subpage-headline   {
    padding-top: 40px;
}

body:not(.home) .bluegrey-block {
    margin-bottom: 80px;
    margin-top: 40px;
}

body.home .bluegrey-block   {
    margin-bottom: 40px;
    margin-top: 40px;
}

.page  .bluegrey-wrap  {
                        padding: 25px 20px 10px 20px;
}

.bluegrey-block .read-more  {
                            display: block;
}

.subpage-txt ul {
    margin-left: 30px;
}

.subpage-txt a,
.subpage-info-txt a  {
    color: #004990;
}

.subpage-info-block {
    position: relative;
    margin-bottom: 60px;
}

    .subpage-info-txt   {
        background: #F5F5F5;
        padding: 60px;
        box-sizing: border-box;
        min-height: 410px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

        .subpage-txt-content    {
            max-width: 640px;
            width: 90%;
        }

    .subpage-info-customer  {
        background:#39578B;
        padding-bottom: 40px;
        padding-top: 20px;
    }

    .subpage-btn    {
        left: calc(50% - 162px);
    }

    .quote  {
        width: 100%;
        padding: 20px 30px 30px;
        margin: 0 30px;
        align-content: center;
    }

        .quote:first-child  {
            border-bottom: 1px solid #fff;
        }

        .quote span {
            display: block;
            width: 100%;
            text-align: right;
        }

/* SUB PAGE - CONTACT */

.contacts   {
    margin-top: 40px;
}

    .contacts .contact-person,
    .contacts .contact-address    {
        margin-top: 30px;
    }

/* SUB MENU */

ul.menu {
    list-style: none;
}

ul.sub-menu {
    list-style: none;
    display: none;
}

	.sub-sidebar .sub-menu li .sub-menu
				{
        margin-left: 15px;
    }

        .sub-menu > li  {
                padding: 3% 0;
                border-top: 1px solid #5F728D;
        }

	.current-menu-item > .sub-menu,
	.current-menu-parent > .sub-menu,
	.current-menu-ancestor > .sub-menu  {
					    display: block;
					    margin-top: 3%;
					    }

/* COOKIE CONSENT */

.cc-revoke.cc-top   {
		    display: none;
		    }

/* SEARCH PAGES */

.searchbox-wrap    {
    border-bottom: 1px solid #D2D2D2;
    margin-bottom: 10px;
    padding-bottom: 20px;
    display: flex;
}

    #search {
        width: 100%;
    }

    input[type=text]    {
        width: 66%;
        padding: 9px 20px;
        margin: 8px 9px 8px;
        box-sizing: border-box;
        font-size: 1.2em;
        display: block;
        float: left;
    }

    input[type=submit]  {
        padding: 12px 20px;
        box-sizing: border-box;
        margin: 8px 0;
        font-size: 1em;
        font-weight: normal;
        display: block;
        float: left;
    }

        .sok-wrap   {
            margin-bottom: 15px;
            margin-top: 15px;
            padding-bottom: 20px;
            border-bottom: 1px solid #d2d2d2;
            padding-left: 10px;
            box-sizing: border-box;
            font-size: 0.9em;
        }

        .sok-link   {
            text-align: right;
        }

/* GOOGLE MAPS */

.google-maps iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100% !important;
    height: 100% !important;
}

.image > img    {
    display: block;
    width: 100%;
    height: auto;
}

@supports (object-fit: cover) {

    .image  {
        position: relative;
    }

    .image::before  {
        content: '';
        display: block;
        width: 100%;
        height: 0;
    }

    .image > img    {
        width: 100%;
        height: 100%;
        object-fit: cover;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
    }

    @media (min-width: 980px)   {

        .topimg-block.image::before {
                                    padding-top: 42%;
        }

        .interior-img.image::before {
                                    padding-top: 52%;
        }


    }

}


@media all and (min-width: 1820px){

    .front-headline,
    .subpage-headline   {
        padding-left: 2vw;
        padding-right: 2vw;
    }

}

@media all and (min-width: 1186px ){

    .mobile-menu-container  {
        display: none;
    }

    .payoff {
        margin: 60px 0;
    }
}

@media all and (min-width: 1024px){

    .header-logo    {
        margin-top: 30px;
        z-index: 999;
        margin-left: 10px;
    }

    .topimg-block > svg {
        position: absolute;
        z-index: 1;
    }

    .topimg-block > svg.skew-top    {
        top: -1px;
        left: 0;
    }

    .topimg-block > svg.skew-bottom     {
        bottom: -1px;
        right: 0;
    }

    .front-headline,
    .subpage-headline   {
        box-sizing: border-box;
        order: 2;
        max-width: 470px;
        min-width: 380px;
    }

        .front-txt,
        .subpage-txt    {
            width: 68%;
            padding: 40px 4vw 40px 2vw;
            box-sizing: border-box;
            line-height: 1.3;
        }

    .interior-img   {
        flex: 0 54%;
    }

    .interior-txt-wrap  {
        flex: 0 46%;
    }

        .interior-txt   {
            padding: 3vw 4vw 4vw;
        }


    .cols-4 article {
        flex-basis: 23.5%;
    }

    .cols-4 article {
        margin-right: 2%;
    }

        .cols-4 article:nth-child(4n+4) {
            margin-right: 0;
        }

    .cols-2 > div   {
        flex-basis: 50%;
    }


}



@media all and (min-width: 680px){

    .bluegrey-block {
        background: rgb(255,255,255);
        background: linear-gradient(180deg, rgba(255,255,255,0) 0%, rgba(255,255,255,0) 34px, rgba(57,87,139,1) 34px);
    }

    .cols-3 article {
        flex-basis: 32%;
    }

    .cols-3 article:not(:last-child)    {
        margin-right: 2%;
    }

    /* PAGE - SUB */

    .bluegrey-block .skew-right-bottom  {
        position: absolute;
        right: 0px;
        z-index: -1;
        bottom: -34px;
    }

    .bluegrey-block .read-more  {
        position: absolute;
        right: 30px;
        bottom: -14px;
    }

}


@media all and (max-width: 1820px) and (min-width: 1024px){

    .front-headline,
    .subpage-headline   {
        padding-left: 3vw;
        padding-right: 3vw;
    }

}

@media all and (max-width: 1185px){

    .big-screen {
        display: none;
    }

    .mobile-menu-container  {
        align-self: center;
    }

    .payoff {
        margin: 60px 0 40px;
    }

}


@media all and (max-width: 1024px){

    .topimg-block > svg {
        display: none;
    }

    .header-logo    {
        margin: 25px 0px 20px;
        width: 80%;
        max-width: 330px;
    }

    .front-txt-block,
    .subpage-txt-block  {
        flex-direction: column;
    }

    .front-txt,
    .subpage-txt    {
        padding: 10px 0 30px 0;
        box-sizing: border-box;
    }

    .interior-block .interior   {
        flex-direction: column;
    }

        .interior-img   {
            min-height: 400px;
        }

        .interior-txt   {
            padding: 4vw 5vw 40px;
        }

    .cols-2 {
        flex-direction: column;
    }

    .subpage-info-customer.image  {
        min-height: 320px;
    }

}

@media all and (max-width: 1024px) and (min-width: 680px){

    .cols-4 article {
        flex-basis: 48%;
    }

    .cols-4 article:nth-child(2n+1) {
        margin-right: 4%;
    }

}


@media all and (max-width: 680px){

    .cols-4,
    .cols-3 {
        flex-direction: column;
    }

    .bluegrey-block {
        background: #39578B;
    }

        .bluegrey-block .skew-left-top,
        .bluegrey-block .skew-right-bottom  {
            display: none;
        }

    article.reference:not(:last-child)  {
        margin-bottom: 30px;
    }


    .bluegrey-block .read-more  {
        padding-right: 10px;
        padding-bottom: 10px;
        box-sizing: border-box;
    }


    .subpage-info-txt   {
        padding: 20px;
    }

}